.transparent-btn:not(li):hover {
  @apply bg-black-20;
}

.cv-preview-section {
  @apply bg-less-dark w-screen/2 h-screen overflow-y-auto hidden mdCustom:flex;
  @apply flex-col justify-start items-center pl-7 pr-16;
}

.fields-placeholder {
  @apply bg-white w-screen overflow-y-auto h-screen mdCustom:w-screen/2;
}

.fields-section {
  @apply bg-white w-screen overflow-y-auto h-screen mdCustom:w-screen/2;
  @apply flex flex-col justify-start items-start pl-7 mdCustom:pl-16 pr-7;
}

.builder-close-button {
  @apply w-10 h-10 rounded-full shadow-cvbuilder-drop close-builder;
}

.close-builder:hover {
  opacity: .9;
}

.close-builder:active {
  transform: scale(.98);
}

.builder-header {
  @apply flex-row justify-end items-center py-5 w-full;
}

.add-profile-btn {
  &:hover {
    path {
      fill: var(--primary);
    }
    span:not(.btn-text) {
      @apply border-primary;
    }

    .btn-text {
      @apply text-primary;
    }
  }
}

.filled-add-profile-button {
  &:hover {
    path {
      fill: var(--primary);
    }
    span:not(.btn-text) {
      @apply border-primary;
    }
  }
}

.add-picture-text {
  &:hover {
    @apply text-primary;
  }
}

.remove-picture-text {
  &:hover {
    @apply text-danger;
  }
}

.go-to-template-mobile {
  @apply flex flex-col
  items-center
  justify-center
  mdCustom:hidden
  w-16
  h-16
  right-4
  bottom-4
  fixed
  shadow-cvbuilder-button
  bg-primary
  rounded-full
  z-50;
}

.preview-button {
  @apply flex flex-col
  items-center
  justify-center
  w-16
  h-16
  right-4
  bottom-4
  shadow-cvbuilder-button
  bg-primary
  rounded-full
  z-50;

  transition: transform .2s;
  transform: scale(0);
}

.preview-button-container:hover {
  cursor: pointer;
  .preview-button {
    transform: scale(1.1);
  }
}

.add-slot-button {
  @apply flex flex-row justify-start items-center py-3 pl-3 hover:bg-primary-10;
}

.extra-sections-btn {
  @apply flex flex-row justify-start items-center w-full mdCustom:w-48-percent p-3;

  &[disabled] {
    opacity: .8;

    path {
      fill: #717A8F;
    }

    .btn-text {
      color: #717A8F;
    }
  }

  &:hover:not([disabled]) {
    .btn-text {
      @apply text-primary;
    }
  }

  &:active:not([disabled]) {
    @apply bg-secondary-10;
  }
}

.foldable-content {
  max-height: 0;
  overflow: hidden;
  transition: max-height ease-out 0.6s;
}

.unfold-content {
  max-height: 1000px;
}

.delete-section-button {
  path {
    fill: var(--danger);
  }
}

textarea {
  border: none;
  outline: none;
  margin: 0;
}

.forms-sections {
  scrollbar-width: 20px;
  scrollbar-color: var(--dark) transparent;

  &::-webkit-scrollbar {
    width: 20px;
  }

  &::-webkit-scrollbar-track {
    background: rgba(228, 230, 235, 0.6);
    border-left: 9px solid #fff;
    border-right: 9px solid #fff;
  }

  &::-webkit-scrollbar-thumb {
    background: var(--dark);
    border-left: 7px solid #fff;
    border-right: 7px solid #fff;
  }
}

.cdk-drag-preview {
  box-sizing: border-box;
  box-shadow: 0 5px 5px -3px rgba(0, 0, 0, 0.2),
  0 8px 10px 1px rgba(0, 0, 0, 0.14),
  0 3px 14px 2px rgba(0, 0, 0, 0.12);

  @apply p-2 bg-white;
}

.cdk-drag-placeholder {
  opacity: .5;
  background: rgba(228, 230, 235, 0.6);
  border: dotted 1px #717A8F;
  min-height: 60px;
  transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
}

.cdk-drag-animating {
  transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
}

.cdk-sections-list.cdk-drop-list-dragging .cdk-section:not(.cdk-drag-placeholder) {
  transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
}

.drag-handle {
  @apply visible mdCustom:invisible;

  path {
    fill: var(--lessDark)
  }
}

.anti-icon-spacing {
  margin-left: -1.5rem;
}

.anti-icon-spacing-rtl {
  margin-right: -1.5rem;
}

.section-header {
  //margin: 0 -20px;
}

.section-header, .slot-header {
  &:hover {
    .drag-handle {
      visibility: visible;
    }
  }
}

.chosen-image {
  width: 72px;
  height: 72px;
  object-fit: cover;
}

.hint-button {
  transition: transform .2s;

  &:hover {
    cursor: pointer;

    svg path {
      fill: var(--dark)
    }
  }

  svg {
    @apply w-4 h-4;
    path {
      fill: var(--primary);
    }
  }
}
